# Account Metastore Assignment

## The MetastoreAssignment object

- [account-metastore-assignment/object.md](account-metastore-assignment/object.md)

## Endpoints

### Gets the metastore assignment for a workspace

- [GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastore](get-metastore-assignment.md)

### Get all workspaces assigned to a metastore

- [GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}/workspaces](list-metastore-assignments.md)

### Assigns a workspace to a metastore

- [POST /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](create-accounts-metastore-assignment.md)

### Updates a metastore assignment to a workspace

- [PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](update-accounts-metastore-assignment.md)

### Delete a metastore assignment

- [DELETE /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](delete-accounts-metastore-assignment.md)

